%define upstream_name    App-SD
%define upstream_version 0.75

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A peer to peer ticket tracking system built on the Prophet distributed database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

# (misc) likely a missing requires in prophet, wil look later

BuildRequires: perl(Config::GitLike) >= 1.30.0
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(Email::Address)
BuildRequires: perl(Email::MIME)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(HTML::Tree)
BuildRequires: perl(HTML::TreeBuilder) >= 4.100.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Net::GitHub) >= 0.280.0
BuildRequires: perl(Net::Google::Code) >= 0.140.0
BuildRequires: perl(Net::Jifty) >= 0.90.0
BuildRequires: perl(Net::Lighthouse) >= 0.10.0
BuildRequires: perl(Net::Redmine) >= 0.80.0
BuildRequires: perl(Net::Trac) >= 0.160.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Prophet)
BuildRequires: perl(RT::Client::REST)
BuildRequires: perl(Test::Script::Run) >= 0.20.0
BuildRequires: perl(Test::Cukes)
BuildRequires: perl(Text::Greeking)
BuildRequires: perl(Time::Progress)
BuildRequires: perl(Try::Tiny) >= 0.20.0
BuildRequires: perl(URI::file)
BuildRequires: perl-Path-Dispatcher-Declarative
# (misc) for net::redmine

# when Net::Trac will be fixed 
# https://rt.cpan.org/Ticket/Display.html?id=57063
#BuildRequires: trac-standalone trac-sqlite
BuildArch:  noarch

%description
SD is a peer to peer ticket tracking system built on the Prophet distributed 
database. SD is designed to make it easy to work with tickets and to share 
ticket databases with your collaborators.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
# (misc) check is stalled, didn't found why
rm -f t/server.t
# (misc) requires network access, do not work on iurt
rm -Rf t/sd-lighthouse
rm -Rf t/sd-gcode
rm -Rf t/sd-github

%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
%{_mandir}/man1/sd.1.xz
%_bindir/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.750.0-2.mga3
+ Revision: 363082
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.750.0-1.mga2
+ Revision: 172089
- add a br on Test::Greeking
- Add correct BR
- update to 0.75

* Thu Jan 13 2011 jquelin <jquelin> 0.740.0-1.mga2
+ Revision: 9263
- imported package perl-App-SD

